features:
  secondary:
  - name: "Set CPU and memory usage per workspace"
    available_in: [premium, ultimate]
    documentation_link: 'https://docs.gitlab.com/ee/user/workspace/gitlab_agent_configuration.html#remote-development-settings'
    reporter: ericschurter
    stage: create
    categories:
    - 'Remote Development'
    epic_url:
    - 'https://gitlab.com/groups/gitlab-org/-/epics/11625'
    description: |
      Improved developer experience, onboarding, and security are driving more development toward cloud IDEs and on-demand development environments. However, these environments might contribute to increased infrastructure costs. You can already configure CPU and memory usage per project in your [devfile](https://docs.gitlab.com/ee/user/workspace/#devfile).

      Now you can also set CPU and memory usage per workspace. By configuring requests and limits at the GitLab agent level, you can prevent individual developers from using an excessive amount of cloud resources.
